package com.isoft91.gonn.gps.business.controller;


import com.isoft91.gonn.gps.business.service.IOaCBusiConfService;
import com.isoft91.gonn.gps.business.vo.OaCBusiConfVo;
import com.isoft91.gonn.gps.utils.Result.Ret;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author wulingfang
 * @since 2021-06-28
 */
@RestController
@RequestMapping("/conf/oa-cbusi-conf")
public class OaCBusiConfController {
    @Autowired
    IOaCBusiConfService oaCBusiConfService;

    @Transactional(propagation = Propagation.NOT_SUPPORTED)
    @PostMapping("/list")
    @ApiOperation(value = "不分页查询模型", notes = "")

    public Ret selectList(  OaCBusiConfVo vo) {

        return Ret.ok().setData(oaCBusiConfService.selectList(vo));
    }

}
