package com.isoft91.gonn.gps.business.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.isoft91.gonn.gps.business.dto.BaseStationInfoDto;
import com.isoft91.gonn.gps.business.dto.ProvinceDto;
import com.isoft91.gonn.gps.business.service.ISProvinceService;
import com.isoft91.gonn.gps.business.vo.ProvinceVo;
import com.isoft91.gonn.gps.utils.Result.Ret;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author wulingfang
 * @since 2021-04-15
 */
@RestController
@RequestMapping("/info/s-province")
public class SProvinceController {
    @Autowired
    ISProvinceService provinceService;


    @Transactional(propagation = Propagation.NOT_SUPPORTED)
    @PostMapping("/instProvince")
    @ApiOperation(value = "分页查询项目", notes = "")

    public Ret instProvince(@RequestBody ProvinceVo provinceDto) {
        return Ret.ok().setData( provinceService.instProvince(provinceDto));
    }


}
