package com.isoft91.gonn.gps.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.isoft91.gonn.gps.common.entity.IdEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author jiangpengpeng
 * @since 2021-04-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("base_station_info")
public class BaseStationInfo extends IdEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id号
     */
    @TableField("number")
    private String number;

    /**
     * 网络类型
     */
    @TableField("network_type")
    private String networkType;

    /**
     * 运营商
     */
    @TableField("operator")
    private String operator;

    /**
     * 入网时间
     */
    @TableField("start_time")
    private String startTime;

    /**
     * 需求号
     */
    @TableField("demand_number")
    private String demandNumber;

    /**
     * 站名
     */
    @TableField("jz_name")
    private String jzName;

    /**
     * 站号
     */
    @TableField("jz_number")
    private Integer jzNumber;

    /**
     * 基站地址
     */
    @TableField("jz_address")
    private String jzAddress;

    /**
     * 经度
     */
    @TableField("longitude")
    private String longitude;

    /**
     * 维度
     */
    @TableField("dimension")
    private String dimension;

    /**
     * 设备型号
     */
    @TableField("unit_type")
    private String unitType;

    /**
     * 数量
     */
    @TableField("jz_num")
    private String jzNum;

    /**
     * 海拔
     */
    @TableField("height")
    private String height;

    /**
     * 设备建设方式
     */
    @TableField("building_modes")
    private String buildingModes;

    /**
     * 维护联系人
     */
    @TableField("whb_user")
    private String whbUser;

    /**
     * 维护联系电话
     */
    @TableField("whb_phone")
    private String whbPhone;



    /**
     * 区域
     */
    @TableField("region_id")
    private String regionId;

    /**
     * 部门
     */
    @TableField("dept_id")
    private String deptId;



    /**
     * 物理区域
     */
    @TableField("region")
    private String region;

    /**
     * 上联机房
     */
    @TableField("computer_room")
    private String computerRoom;

    /**
     * 上联机房id
     */
    @TableField("computer_room_id")
    private String computerRoomId;

    /**
     * 传输方式
     */
    @TableField("transmission_mode")
    private String transmissionMode;

    /**
     * 网元信息
     */
    @TableField("network_element_information")
    private String networkElementInformation;


}
