package com.isoft91.gonn.gps.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.isoft91.gonn.gps.common.entity.IdEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 数据字典
 * </p>
 *
 * @author 91isoft
 * @since 2019-12-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("s_dictionary")
public class SDictionary extends IdEntity<SDictionary> implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 父节点id
     */
    @TableField("PID")
    private String pid;

    /**
     * 类型
     */
    @TableField("TYPE")
    private String type;

    /**
     * 名字
     */
    @TableField("NAME")
    private String name;

    /**
     * 值
     */
    @TableField("VALUE")
    private String value;

    /**
     * 备注
     */
    @TableField("REMARKS")
    private String remarks;

}
