package com.isoft91.gonn.gps.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户角色表
 * </p>
 *
 * @author jiangpengpeng
 * @since 2020-02-20
 */
@Data
@Accessors(chain = true)
@TableName("s_user_role")
public class SUserRole {
    

    private static final long serialVersionUID = 1L;


    /**
     * 用户id
     */
    @TableId("BUSINESS_ID")
    private String businessId;
    /**
     * 用户id
     */
    @TableField("USER_ID")
    private String userId;

    /**
     * 角色id
     */
    @TableField("ROLE_ID")
    private String roleId;


}
