package com.isoft91.gonn.gps.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.isoft91.gonn.gps.business.dto.QuerySRoleDTO;
import com.isoft91.gonn.gps.business.dto.ResultSRoleDTO;
import com.isoft91.gonn.gps.business.entity.SRole;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 角色表 Mapper 接口
 * </p>
 *
 * @author 91isoft
 * @since 2019-12-30
 */
public interface SRoleMapper extends BaseMapper<SRole> {

    @Select("<script>" +
            "SELECT * " +
            "FROM s_role where del_flag = '0' and flag = '1' </script> ")
    List<ResultSRoleDTO> getDictionaryList(QuerySRoleDTO SRole);

    @Select("<script> select su.ROLE_NAME from s_user_role  sur,s_role su " +
            "where sur.ROLE_ID=su.BUSINESS_ID and sur.USER_ID=#{userID} and su.ROLE_NAME=#{roleName}" +
            "</script>")
    String selectByUserID(@Param("userID") String userID, @Param("roleName") String roleName);

    @Select("<script> select su.BUSINESS_ID,su.ROLE_NAME,su.`CODE` from s_user_role  sur,s_role su " +
            "where sur.ROLE_ID=su.BUSINESS_ID and sur.USER_ID=#{userID} " +
            "</script>")
    List<ResultSRoleDTO> selectByUserIDs(@Param("userID") String userID);


}
