package com.isoft91.gonn.gps.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.isoft91.gonn.gps.business.entity.OaCBusiConf;
import com.isoft91.gonn.gps.business.mapper.OaCBusiConfMapper;
import com.isoft91.gonn.gps.business.service.IOaCBusiConfService;
import com.isoft91.gonn.gps.business.vo.OaCBusiConfVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wulingfang
 * @since 2021-06-28
 */
@Service
public class OaCBusiConfServiceImpl extends ServiceImpl<OaCBusiConfMapper, OaCBusiConf> implements IOaCBusiConfService {
    @Autowired
    OaCBusiConfMapper oaCBusiConfMapper;
    @Override
    public List<OaCBusiConf> selectList(OaCBusiConfVo dto) {
        return oaCBusiConfMapper.selectConfList(dto);
    }
}
