package com.isoft91.gonn.gps.common.entity;

/**
 * done
 *
 * @author :jiangpengpeng
 * @date:2020/2/28 14:33
 */
public enum InstanceStates {


    UNCOMMIT("0", "未提交审核"),
    INREVIEW("1", "审核中"),
    REJECTED("2", "已驳回"),
    INWRITE("3", "待填写"),
    PASSED("4", "已通过"),
    BREAKINREVIEW("5", "终止审核中"),
    BREAKINWRITE("6", "终止待填写"),
    BREAKREJECTED("7", "终止已驳回"),
    BREAKPASSED("8", "已终止"),
    DELETE("10", "已删除"),
    DELETEINREVIEW("9", "删除审核中"),
    DELETEREJECTED("12", "删除已驳回"),
    DELETEINWRITE("11", "待填写");

    private String code;
    private String message;


    public String getCode() {
        return code;
    }


    public String getMessage() {
        return message;
    }


    public static String getMessByCode(String code) {
        for (InstanceStates states : InstanceStates.values()) {
            if (states.getCode().equals(code)) {
                return states.getMessage();
            }
        }
        return null;
    }

    private InstanceStates(String code, String message) {
        this.code = code;
        this.message = message;

    }

}
