package com.isoft91.gonn.gps.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.isoft91.gonn.gps.common.entity.IdEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author jiangpengpeng
 * @since 2021-04-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("computer_room_info")
public class ComputerRoomInfo extends IdEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id号
     */
    @TableField("number")
    private String number;

    /**
     * 产权单位
     */
    @TableField("owner_unit")
    private String ownerUnit;

    /**
     * 机房名称
     */
    @TableField("computer_room_name")
    private String computerRoomName;

    /**
     * 机房地址
     */
    @TableField("computer_room_address")
    private String computerRoomAddress;

    /**
     * 机房机柜
     */
    @TableField("cabinet")
    private String cabinet;

    /**
     * 机房机架
     */
    @TableField("frame")
    private String frame;

    /**
     * 经度
     */
    @TableField("longitude")
    private String longitude;

    /**
     * 维度
     */
    @TableField("dimension")
    private String dimension;

    /**
     * 供电电压
     */
    @TableField("voltage")
    private String voltage;

    /**
     * 功率
     */
    @TableField("power")
    private String power;

    /**
     * 备用电池组
     */
    @TableField("spare_batteries")
    private String spareBatteries;

    /**
     * 电器防雷系统
     */
    @TableField("lightning_protection_system")
    private String lightningProtectionSystem;

    /**
     * 空调排风系统
     */
    @TableField("conditioning_exhaust_system")
    private String conditioningExhaustSystem;

    /**
     * 消防系统
     */
    @TableField("fire_fighting_system")
    private String fireFightingSystem;

    /**
     * 门禁
     */
    @TableField("access_control")
    private String accessControl;

    /**
     * 是否远程监控
     */
    @TableField("is_long_range_monitor")
    private String isLongRangeMonitor;

    /**
     * 上联机房
     */
    @TableField("computer_room")
    private String computerRoom;

    /**
     * 上联机房id
     */
    @TableField("computer_room_id")
    private String computerRoomId;

    /**
     * 维护联系人
     */
    @TableField("whb_user")
    private String whbUser;

    /**
     * 维护联系电话
     */
    @TableField("whb_phone")
    private String whbPhone;



    /**
     * 区域
     */
    @TableField("region_id")
    private String regionId;

    /**
     * 部门
     */
    @TableField("dept_id")
    private String deptId;


    /**
     * 物理区域
     */
    @TableField("region")
    private String region;


}
