package com.isoft91.gonn.gps.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.isoft91.gonn.gps.common.entity.IdEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author wulingfang
 * @since 2021-04-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("s_province")
public class SProvince extends IdEntity<SProvince> implements Serializable {

    private static final long serialVersionUID = 1L;



    /**
     * 父节点id
     */
    @TableField("PID")
    private String pid;

    /**
     * 名字
     */
    @TableField("NAME")
    private String name;

    @TableField("OBJECTID")
    private String objectid;

    /**
     * 类型
     */
    @TableField("layer")
    private String layer;



    /**
     * 备注
     */
    @TableField("REMARKS")
    private String remarks;

    /**
     * 经度
     */
    @TableField("longitude")
    private String longitude;

    /**
     * 维度
     */
    @TableField("dimension")
    private String dimension;


}
