package com.isoft91.gonn.gps.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.isoft91.gonn.gps.common.entity.DataEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 角色表
 * </p>
 *
 * @author 91isoft
 * @since 2019-12-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("s_role")
public class SRole extends DataEntity implements Serializable {
    

    private static final long serialVersionUID = 1L;

    /**
     * 业务主键
     */
    @TableId("BUSINESS_ID")
    private String businessId;

    /**
     * 角色名称
     */
    @TableField("ROLE_NAME")
    private String roleName;

    /**
     * 创建人
     */
   /* @TableField("CREATE_BY")
    private String createBy;*/

    /**
     * 创建日期
     */
    /*@TableField("CREATE_DATE")
    private LocalDateTime createDate;*/

    /**
     * 修改人
     */
    /*@TableField("UPDATE_BY")
    private String updateBy;
*/
    /**
     * 修改日期
     */
   /* @TableField("UPDATE_DATE")
    private LocalDateTime updateDate;
*/
    /**
     * 删除标识 1 删除 0 未删除 2 审核
     */
   /* @TableField("DEL_FLAG")
    private String delFlag;

    *//**
     * 启用标记（0：停用；1：启用）
     *//*
    @TableField("FLAG")
    private String flag;

    *//**
     * 备注
     *//*
    @TableField("REMARKS")
    private String remarks;
*/
    /**
     * 编号
     */
    @TableField("CODE")
    private String code;


}
