package com.isoft91.gonn.gps.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.isoft91.gonn.gps.business.entity.SUserRole;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 用户角色表 Mapper 接口
 * </p>
 *
 * @author jiangpengpeng
 * @since 2020-02-20
 */
public interface SUserRoleMapper extends BaseMapper<SUserRole> {

    
    @Select("<script>SELECT " +
            "sur.ROLE_ID " +
            "FROM " +
            "s_user_role sur " +
            "WHERE " +
            "sur.USER_ID = #{userId}</script>")
    List<String> selectRole(@Param("userId") String userId);
}
