package com.isoft91.gonn.gps.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.isoft91.gonn.gps.business.dto.QuerySDeptDTO;
import com.isoft91.gonn.gps.business.entity.SDept;


import java.util.List;

/**
 * <p>
 * 部门表 服务类
 * </p>
 *
 * @author 91isoft
 * @since 2019-12-30
 */
public interface ISDeptService extends IService<SDept> {
    int logicalDelete(String id);

    int delete(String id);

    List getDeptList(QuerySDeptDTO sDeptDTO);

    IPage getDeptListPage(Page page, QuerySDeptDTO sDeptDTO);

}