package com.isoft91.gonn.gps.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.isoft91.gonn.gps.business.dto.QuerySRoleDTO;
import com.isoft91.gonn.gps.business.entity.SRole;


import java.util.List;

/**
 * <p>
 * 角色表 服务类
 * </p>
 *
 * @author 91isoft
 * @since 2019-12-30
 */
public interface ISRoleService extends IService<SRole> {
    
    /**
     * 逻辑删除
     */
    int logicalDelete(String id);

    /**
     * 物理删除
     */
    int delete(String id);

    /**
     * 获取角色列表
     */
    List getRoleList(QuerySRoleDTO sRole);

    /**
     * 分页显示角色列表
     */
    IPage getRoleListPage(Page page, QuerySRoleDTO sRole);

    /**
     * 根据id获取角色列表
     */
    List getRoleListById(String id);
}
