package com.isoft91.gonn.gps.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.isoft91.gonn.gps.business.dto.ProvinceDto;
import com.isoft91.gonn.gps.business.entity.SProvince;
import com.isoft91.gonn.gps.business.mapper.SProvinceMapper;
import com.isoft91.gonn.gps.business.service.ISProvinceService;
import com.isoft91.gonn.gps.business.vo.ProvinceVo;
import com.isoft91.gonn.gps.utils.Result.Ret;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wulingfang
 * @since 2021-04-15
 */
@Service
public class SProvinceServiceImpl extends ServiceImpl<SProvinceMapper, SProvince> implements ISProvinceService {
    @Autowired
    SProvinceMapper sProvinceMapper;
    @Override
    public Ret instProvince(ProvinceVo provinceDto) {
        boolean a=false;
        for (ProvinceDto dto: provinceDto.getProvinceDto()) {
             SProvince province=new SProvince();
             province.setName(dto.getName());
             province.setLayer(dto.getLevel());
             province.setLongitude(dto.getCenter().get(0));
             province.setDimension(dto.getCenter().get(1));
             if(StringUtils.isNotBlank(dto.getDistrict())){
                 //根据名称查询id
                 SProvince province1 = sProvinceMapper.selectProvinceByName(dto.getDistrict());
                 province.setPid(province1.getBusinessId());

             }
             province.setObjectid(dto.getObjectId());
            int insert = sProvinceMapper.insert(province);
            if (insert>0){
                a=true;
            }

        }
        if(a){
            return Ret.ok();
        }else {
            return Ret.error();
        }

    }
}
