package com.isoft91.gonn.gps.common.entity;

public enum FixedField {

    createBy("createBy", "创建人"),
    createDate("createDate","创建时间"),
    updateBy("updateBy","更新人"),
    updateDate("updateDate","更新时间"),
    projectStage("stage","业务阶段"),
    state("state","流程状态"),
    name("name","任务节点")
    ;

    private String label;
    private String fieldName;

    public static String getNameByLabel(String label) {
        for (FixedField fix : FixedField.values()) {
            if (fix.getLabel().equals(label)) {
                return fix.getFieldName();
            }
        }
        return null;
    }
    public static boolean equalsFieldId(String label) {
        for (FixedField fix : FixedField.values()) {
            if (fix.getLabel().equals(label)) {
                return true;
            }
        }
        return false;
    }

    public String getFieldName(){
        return fieldName;
    }
    public String getLabel(){
        return label;
    }

    private FixedField(String label, String fieldName){
        this.label = label;
        this.fieldName = fieldName;
    }
}
