package com.isoft91.gonn.gps.utils;

import com.isoft91.gonn.gps.sys.service.CommonMesServiceImpl;
import com.isoft91.gonn.gps.utils.Result.Ret;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.security.NoSuchAlgorithmException;
import java.util.List;

/**
 * 登录之后获取权限
 *
 * @author :jiangpengpeng
 * @date:2020/8/10 9:12
 */
@Component
public class AuthorityUtil {
    @Autowired
    CommonMesServiceImpl commonMesService;

    private static final String dept = "department_id";
    private static final String REGION = "region_id";

    public static List<String> sdepts;

    public static List<String> region;

    public  void getAuthority(String userId){
        sdepts = null;
        region = null;
        try {
            Ret permission = commonMesService.getPermission("", "", userId, dept);
            sdepts = (List<String>) permission.getData();
            Ret permission2 = commonMesService.getPermission("", "", userId, REGION);
            region = (List<String>) permission2.getData();
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
        }
    }
}
